package gq.unurled.raxen.components.entity.other.custom.hostile.low;

import gq.unurled.raxen.Raxen;
import gq.unurled.raxen.components.entity.other.RaxenEntity;
import gq.unurled.raxen.components.entity.other.custom.Entity;
import org.bukkit.Location;
import org.bukkit.entity.EntityType;

public class Goblin extends Entity {

    RaxenEntity goblin;

    public Goblin(Raxen main) {
        super("Goblin", 1, 100.0, 10.0, 0.0, 50.0, true);
        this.goblin = new RaxenEntity(main, "Goblin", 1, 100.0, 10.0) {
            @Override
            public org.bukkit.entity.Entity createEntity(Location location) {
                return super.createEntity(EntityType.PLAYER, "Goblin", location);
            }
        };
        register(main);
    }

    public String getName() {
        return "<white>" + goblin.getName();
    }

    public String getFullName(Entity e) {
        return "<white>⚔️" + getName() + "<red>" + getHealth() + "<white>/<white/>" + getMaxHealth();
    }
}
